/****************************************************************************
 *
 * Copyright (c) 2007-2012, EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 *****************************************************************************/
 
package org.ow2.petals.jmx.commons;

/**
 * This interface is the interface of the PEtALS Admin Service.
 * @author Christophe Deneux - Capgemini Sud
 */
public final class PetalsAdminServiceConstants {

    public static class Domain {

        /**
         * Type of the entity
         */
        public static final String TOPOLOGY_TYPE = "domain";

        /**
         * Domain key names: domain name
         */
        public static final String CONF_DOMAIN_NAME = "domainName";

        /**
         * Domain key names: domain Description
         */
        public static final String CONF_DOMAIN_DESCRIPTION = "domainDescription";

        /**
         * Domain key names: domain mode
         */
        public static final String CONF_DOMAIN_MODE = "domainMode";

        /**
         * Domain key names: JNDI Factory
         */
        public static final String CONF_JNDI_FACTORY = "jndiFactory";

        /**
         * Domain key names: JNDI Provider URL
         */
        public static final String CONF_JNDI_PROVIDER_URL = "jndiProviderUrl";

        /**
         * Domain key names: JNDI Security Principal
         */
        public static final String CONF_JNDI_SECURITY_PRINCIPAL = "jndiSecurityPrincipal";

        /**
         * Domain key names: JNDI Security Credentials
         */
        public static final String CONF_JNDI_SECURITY_CREDENTIALS = "jndiSecurityCredentials";

        /**
         * Domain key names: JNDI Pool Size
         */
        public static final String CONF_JNDI_POOL_SIZE = "jndiPoolSize";

        /**
         * Domain key names: JNDI Pool Size
         */
        public static final String CONF_JNDI_BATCH_SIZE = "jndiBatchSize";
    }

    public static class SubDomain {

        /**
         * Type of the entity
         */
        public static final String TOPOLOGY_TYPE = "subdomain";

        /**
         * Subdomain key names: Subdomain Name
         */
        public static final String CONF_SUBDOMAIN_NAME = "subdomainName";

        /**
         * Subdomain key names: Subdomain Description
         */
        public static final String CONF_SUBDOMAIN_DESCRIPTION = "subdomainDescription";

        /**
         * Subdomain key names: Subdomain Name
         */
        public static final String CONF_NETWORK_TIME_SYNCHRONIZED = "networkTimeSynchronized";
    }

    public static class Container {

        /**
         * Type of the entity
         */
        public static final String TOPOLOGY_TYPE = "container";

        /**
         * Container key names: Container Name
         */
        public static final String CONF_CONTAINER_NAME = "containerName";

        /**
         * Container key names: Container Name
         */
        public static final String CONF_NODE_TYPE = "nodeType";
        
        /**
         * Container key names: Container Description
         */
        public static final String CONF_CONTAINER_DESCRIPTION = "containerDescription";

        /**
         * Container key names: Subdomain Name
         */
        public static final String CONF_SUBDOMAIN_NAME = "subdomainName";

        /**
         * Container key names: Container Host Name
         */
        public static final String CONF_HOST = "host";

        /**
         * Container key names: User
         */
        public static final String CONF_USER = "user";

        /**
         * Container key names: Password
         */
        public static final String CONF_PWD = "password";

        /**
         * Container key names: JMX RMI server port
         */
        public static final String CONF_JMX_RMI_PORT = "jmxRMIPort";

        /**
         * Container key names: WebService server port
         */
        public static final String CONF_WEBSERVICE_HTTP_PORT = "webserviceHTTPPort";

        /**
         * Container key names: WebService URL prefix
         */
        public static final String CONF_WEBSERVICE_URL_PREFIX = "webserviceURLPrefix";

        /**
         * Container key names: transport TCP port
         */
        public static final String CONF_TRANSPORT_TCP_PORT = "transportTCPPort";

        /**
         * Container key names: registry port
         */
        public static final String CONF_REGISTRY_PORT = "registryPort";

        /**
         * Container key names: Container state
         */
        public static final String CONF_STATE = "state";
    }

    public static class ContainerStates {
        /**
         * Container State: Started
         */
        public static final String STATE_STARTED = "STARTED";

        /**
         * Container State: Stopped
         */
        public static final String STATE_STOPPED = "STOPPED";

    }

    public static class EntityStates {
        /**
         * Component State: Started
         */
        public static final String STATE_STARTED = "STARTED";

        /**
         * Component State: Stopped
         */
        public static final String STATE_STOPPED = "STOPPED";

        /**
         * Component State: Shutdown
         */
        public static final String STATE_SHUTDOWN = "SHUTDOWN";
    }

    public static class Topology {
        public static final String TOPOLOGY_TYPE = "type";
    }
}
